Skip to content

Get sync logs

GET
/git-repos/{id}/logs

Returns git sync log entries retained for the last 14 days.

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*
Type
string
Required

Query Parameters

limit
Type
integer
Default
200
Maximum
500

Responses

OK

application/json
JSON
{
  
"logs": [
  
  
{
  
  
  
"_id": "string",
  
  
  
"repo": "string",
  
  
  
"project": "string",
  
  
  
"host_id": "string",
  
  
  
"level": "string",
  
  
  
"message": "string",
  
  
  
"details": {
  
  
  
},
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
]
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI